html {
    font-size: 100%;
}

body {
    background-color: #ffffff;
    color: #333333;
    cursor: default;
    font-family: system-ui, sans-serif;
    line-height: 1.5;
    margin: 0;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeSpeed;
    -webkit-user-select: none;
    user-select: none;
}

a {
    text-decoration: none;
    color: inherit;
    outline: none;
    background-color: transparent;
    -webkit-tap-highlight-color: transparent;
    width: fit-content;
}

button {
    -webkit-appearance: none;
    appearance: none;
    background: none;
    border: none;
    font: inherit;
    color: inherit;
    cursor: pointer;
    outline: none;
    padding: 0;
    width: fit-content;
}

header {
    background: #ffffff;
    box-shadow: 0 1px #D1D1D1;
    display: grid;
    grid-template-columns: 1.5rem 1fr .75rem auto 1.5rem;
    grid-template-rows: .75rem auto .75rem;
    position: sticky;
    top: 0;
}

header a {
    font: inherit;
    font-weight: 700;
    grid-column-start: 2;
    grid-row-start: 2;
    margin: 0;
}

search {
    background: #ffffff;
    box-shadow: 0 1px #D1D1D1;
    display: grid;
    grid-template-columns: 1.5rem auto 1.5rem;
    grid-template-rows: .75rem auto .75rem;
    position: sticky;
    top: 0;
}

form {
    display: grid;
    grid-column-start: 2;
    grid-row: 2;
    grid-template-columns: 1fr 1.5rem auto;
}

form button {
    grid-column-start: 3;
}

input[type="search"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: none;
    box-shadow: none;
    border: none;
    color: inherit;
    caret-color: currentColor;
    font: inherit;
    outline: none;
    padding: 0;
    margin: 0;
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
    display: none;
}

input[type="search"]::-ms-clear,
input[type="search"]::-ms-reveal {
    display: none;
    height: 0;
    width: 0;
}

input[type="search"]::placeholder {
    color: gray;
}

header button {
    grid-row-start: 2;
    grid-column-start: 4;
}

main {
    display: grid;
    grid-template-columns: 1.5rem 1fr 1.5rem;
    grid-template-rows: 3rem auto 3rem;
}

main:has(ul) {
    grid-template-rows: 3rem auto 3rem auto 3rem;
}

main>h1 {
    grid-column-start: 2;
    grid-row-start: 2;
}

main>ul {
    display: grid;
    grid-column-start: 2;
    grid-row-start: 4;
    gap: 1.5rem;
}

article {
    display: grid;
    grid-column-start: 2;
    grid-row-start: 2;
    gap: 3rem;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

h1 {
    font: inherit;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: calc(1em + .5rem);
    margin: 0;
}

h2 {
    font: inherit;
    font-size: 1.125rem;
    font-weight: 700;
    line-height: calc(1em + .5rem);
    margin: 0 0 .75rem 0;
}

aside {
    display: grid;
    grid-template-columns: auto auto 1fr;
    gap: 1.5rem;
}

p {
    margin: 0;
}

span {
    display: inline-grid;
}

span::before {
    content: "\00a0";
    font-weight: 700;
}

span[data-chord]::before {
    content: attr(data-chord);
    margin: 0 .25rem 0 0;
    width: fit-content;
}

[hidden] {
    display: none !important;
}

@media screen and (min-width: 63rem) {
    header {
        grid-template-columns: calc(50% - 30rem) 1fr 1.5rem auto calc(50% - 30rem);
    }

    search,
    main {
        grid-template-columns: 1fr 60rem 1fr;
    }

}